package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxBrandCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxBrandDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxBrandDragCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxBrandUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxBrandListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxBrandPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxBrandShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.BoxBrand;

import java.util.List;

/**
 * @author shenyifei
 */
public interface BoxBrandGateway {
	BoxBrand save(BoxBrandCreateCmd boxBrandCreateCmd);

	IPage<BoxBrand> page(BoxBrandPageQry boxBrandPageQry);

	List<BoxBrand> list(BoxBrandListQry boxBrandListQry);

	BoxBrand update(BoxBrandUpdateCmd boxBrandUpdateCmd);

	BoxBrand show(BoxBrandShowQry boxBrandShowQry);

	void destroy(BoxBrandDestroyCmd boxBrandDestroyCmd);

	void drag(BoxBrandDragCmd boxBrandDragCmd);
}
